Loading...
Searching...
No Matches
HoudiniInterrupter Class Referencefinal

Wrapper class that adapts a Houdini `UT_Interrupt` object for use with OpenVDB library routines. More...

`#include <openvdb_houdini/Utils.h>`

Inheritance diagram for HoudiniInterrupter:

## Public Member Functions

| HoudiniInterrupter (const char *title=nullptr)
| ~HoudiniInterrupter () override final
| HoudiniInterrupter (const HoudiniInterrupter &)=default
HoudiniInterrupter & | operator= (const HoudiniInterrupter &)=default
void | start (const char *name=nullptr) override final
| Signal the start of an interruptible operation.
void | end () override final
| Signal the end of an interruptible operation.
bool | wasInterrupted (int percent=-1) override final
| Check if an interruptible operation should be aborted.

## Detailed Description

Wrapper class that adapts a Houdini `UT_Interrupt` object for use with OpenVDB library routines.

See also
  openvdb/util/NullInterrupter.h

## Constructor & Destructor Documentation

## HoudiniInterrupter() [1/2]

HoudiniInterrupter | ( | const char * | title = nullptr | ) |

inline explicit

## ~HoudiniInterrupter()

~HoudiniInterrupter | ( |  | ) |

inline final override

## HoudiniInterrupter() [2/2]

HoudiniInterrupter | ( | const HoudiniInterrupter & |  | ) |

default

## Member Function Documentation

## end()

void end | ( |  | ) |

inline final override

Signal the end of an interruptible operation.

## operator=()

HoudiniInterrupter & operator= | ( | const HoudiniInterrupter & |  | ) |

default

## start()

void start | ( | const char * | name = nullptr | ) |

inline final override

Signal the start of an interruptible operation.

Parameters

  name | an optional descriptive name for the operation

## wasInterrupted()

bool wasInterrupted | ( | int | percent = -1 | ) |

inline final override

Check if an interruptible operation should be aborted.

Parameters

  percent | an optional (when >= 0) percentage indicating the fraction of the operation that has been completed